OpenTTD Source: NWidgetPart Struct Reference

OpenTTD Source 15.0-beta1

Data Structures | Public Member Functions | Data Fields
NWidgetPart Struct Reference
Hierarchical widget parts

Partial widget specification to allow NWidgets to be written nested. More...

`#include <widget_type.h>`

## Data Structures
union | NWidgetPartUnion

## Public Member Functions
constexpr | NWidgetPart (WidgetType type)
constexpr | NWidgetPart (WidgetType type, Point xy)
constexpr | NWidgetPart (WidgetType type, NWidgetPartDataTip data_tip)
constexpr | NWidgetPart (WidgetType type, NWidgetPartWidget widget)
constexpr | NWidgetPart (WidgetType type, NWidgetPartPaddings padding)
constexpr | NWidgetPart (WidgetType type, NWidgetPartPIP pip)
constexpr | NWidgetPart (WidgetType type, NWidgetPartTextLines text_lines)
constexpr | NWidgetPart (WidgetType type, NWidgetPartTextStyle text_style)
constexpr | NWidgetPart (WidgetType type, NWidgetPartAlignment align)
constexpr | NWidgetPart (WidgetType type, NWidgetFunctionType *func_ptr)
constexpr | NWidgetPart (WidgetType type, NWidContainerFlags cont_flags)
constexpr | NWidgetPart (WidgetType type, NWidgetPartAspect aspect)

## Data Fields
WidgetType | type
| Type of the part.
union NWidgetPart::NWidgetPartUnion | u

## Detailed Description

Partial widget specification to allow NWidgets to be written nested.

Definition at line 1075 of file widget_type.h.

## Constructor & Destructor Documentation

## ◆ NWidgetPart() [1/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type | ) |
| inlineexplicitconstexpr

Definition at line 1106 of file widget_type.h.

## ◆ NWidgetPart() [2/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | Point | xy
| ) |  |
| inlineconstexpr

Definition at line 1107 of file widget_type.h.

## ◆ NWidgetPart() [3/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetPartDataTip | data_tip
| ) |  |
| inlineconstexpr

Definition at line 1108 of file widget_type.h.

## ◆ NWidgetPart() [4/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetPartWidget | widget
| ) |  |
| inlineconstexpr

Definition at line 1109 of file widget_type.h.

## ◆ NWidgetPart() [5/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetPartPaddings | padding
| ) |  |
| inlineconstexpr

Definition at line 1110 of file widget_type.h.

## ◆ NWidgetPart() [6/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetPartPIP | pip
| ) |  |
| inlineconstexpr

Definition at line 1111 of file widget_type.h.

## ◆ NWidgetPart() [7/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetPartTextLines | text_lines
| ) |  |
| inlineconstexpr

Definition at line 1112 of file widget_type.h.

## ◆ NWidgetPart() [8/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetPartTextStyle | text_style
| ) |  |
| inlineconstexpr

Definition at line 1113 of file widget_type.h.

## ◆ NWidgetPart() [9/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetPartAlignment | align
| ) |  |
| inlineconstexpr

Definition at line 1114 of file widget_type.h.

## ◆ NWidgetPart() [10/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetFunctionType * | func_ptr
| ) |  |
| inlineconstexpr

Definition at line 1115 of file widget_type.h.

## ◆ NWidgetPart() [11/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidContainerFlags | cont_flags
| ) |  |
| inlineconstexpr

Definition at line 1116 of file widget_type.h.

## ◆ NWidgetPart() [12/12]

constexpr NWidgetPart::NWidgetPart | ( | WidgetType | type,
|  | NWidgetPartAspect | aspect
| ) |  |
| inlineconstexpr

Definition at line 1117 of file widget_type.h.

## Field Documentation

## ◆ type

WidgetType NWidgetPart::type

Type of the part.

See also
  NWidgetPartType.

Definition at line 1076 of file widget_type.h.

Referenced by ApplyNWidgetPartAttribute(), and MakeNWidget().

The documentation for this struct was generated from the following file:

- src/widget_type.h